- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# chef_databag – fetches data from a Chef Databag

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This is a lookup plugin to provide access to chef data bags using the pychef package. It interfaces with the chef server api using the same methods to find a knife or chef-client config file to load parameters from, starting from either the given base path or the current working directory. The lookup order mirrors the one from Chef, all folders in the base path are walked back looking for the following configuration file in order : .chef/knife.rb, ~/.chef/knife.rb, /etc/chef/client.rb

## Requirements

The below requirements are needed on the local master node that executes this lookup.

- pychef (python library https://pychef.readthedocs.io pip install pychef)

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
item - / required |  |  | Item to fetch
name - / required |  |  | Name of the databag

## Examples

    - debug:
        msg: "{{ lookup('chef_databag', 'name=data_bag_name item=data_bag_item') }}"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_raw - |  | The value from the databag

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.